<?php

//En linux 
$salto_linea = "\n"; //variable global para manejo del salto de linea
//En windows 
$salto_linea = "\r\n"; //variable global para manejo del salto de linea

/*
 * titulo
 */
$titulo = "XMLDeducciones_" . date("Y") . date("m") . date("d");

/*
 * XML
 */
if ($type == "xml") {

    $shtml = '';


    $scarpeta = "uploads"; //carpeta donde guardar el archivo.

    $sfile = $scarpeta . "/tmp/" . $titulo . ".xml"; //ruta del archivo a generar
    $fp = fopen($sfile, "w");
    $sep = ","; //variable global para manejo del separador - se obtiene de variables del modulo en la configuracion en app.yml
//    $shtml = $sep . "\n";
//    $shtml.= $sep . $titulo . $sep . "\n";
//    $shtml.= $sep . "\n";


    /*
     * imprimir cabecera
     */
    foreach ($array_head as $key => $value) {
//        $shtml.= $value . $sep;
    }
    //salto de linea para separar totales
//    $shtml.="\n";

    $shtml .= '<?xml version="1.0" encoding="ISO-8859-1"?>';
    $shtml.= $salto_linea;
    $shtml .= '<siifepg:deducciones';
    $shtml.= $salto_linea;
    $shtml .= 'xsi:schemaLocation="http://www.minhacienda.gov.co/mhcp/cargaxml/siifnacion/epg EPG066_DeduccionesObligacion.xsd"';
    $shtml.= $salto_linea;
    $shtml .= 'xmlns:siifepg="http://www.minhacienda.gov.co/mhcp/cargaxml/siifnacion/epg"';
    $shtml.= $salto_linea;
    $shtml .= 'xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">';
    $shtml.= $salto_linea;

    /*
     * recorrer arreglo de datos y convertir en csv
     */
    $i = 0;
    $j = 0;
    foreach ($list_data as $rec) {

        $shtml.='	<itemDeduccion>';
        $shtml.= $salto_linea;

        $shtml.='		<codConcepto>' . $rec['CODIGO'] . '</codConcepto>';
        $shtml.= $salto_linea;
        $shtml.='		<valor>' . $rec['VALOR_LIQUIDADO'] . '</valor>';
        $shtml.= $salto_linea;
        $shtml.='		<codTipoDocumento>' . $rec['ID_ACREEDOR'] . '</codTipoDocumento>';
        $shtml.= $salto_linea;
        $shtml.='		<numDocIdentidad>' . $rec['NUM_DOC'] . '</numDocIdentidad>';
        $shtml.= $salto_linea;


        /*
          foreach ($rec as $key => $value) {
          if ($j != 0) {
          if ($value != '/') {
          $shtml.= $sep;
          }
          }
          $value = str_replace('Ñ', '#', $value);
          $value = str_replace('ñ', '#', $value);
          $value = str_replace('[\n|\r|\n\r]', ' ', $value);
          $shtml.= $value;
          $j++;
          }
         */
        $shtml.='	</itemDeduccion>';
//        $this->logMessage("Linea: " . $i++);
        //salto de linea para separar totales
        $shtml.= $salto_linea;
        $j = 0;
    }

    /**
     * Fin XML
     */
    $shtml .= '</siifepg:deducciones>';

    /*
     * guardar y cerrar archivo
     */
//    $shtml.= $salto_linea;
    fwrite($fp, $shtml);
    fclose($fp);

    /*
     * salida csv
     */
    echo "<script>
    window.location='" . "/nomina/web/" . $sfile . "'</script>";
    die();
}//fin XML

/*
 * Error
 */
echo "Ocurrio algun problema: " . $type;
?>

